### Method

# GLib StaticRWLock writer_unlock

deprecated: 2.32

#### Declaration

    void
    g_static_rw_lock_writer_unlock (
      GStaticRWLock* lock
    )

#### Description

Unlocks `lock`. If a thread is waiting to lock `lock` for writing and all locks for reading have been unlocked, the waiting thread is woken up and can lock `lock` for writing. If no thread is waiting to lock `lock` for writing, and some thread or threads are waiting to lock `lock` for reading, the waiting threads are woken up and can lock `lock` for reading.

Deprecated since: 2.32

Use `g_rw_lock_writer_unlock()` instead.

This method is not directly available to language bindings.